TIFFCompressionValue (Apache FOP 2.7 API)
Date: 2022-01-12

org.apache.fop.render.bitmap

## Enum TIFFCompressionValue

- java.lang.Object
- - java.lang.Enum<TIFFCompressionValue>
  - - org.apache.fop.render.bitmap.TIFFCompressionValue

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<TIFFCompressionValue>

      public enum TIFFCompressionValue
      extends java.lang.Enum<TIFFCompressionValue>

  Compression constants for TIFF image output.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CCITT_T4` CCITT Group 3 (T.4) compression
    `CCITT_T6` CCITT Group 4 (T.6) compression
    `DEFLATE` Deflate compression
    `JPEG` JPEG compression
    `LZW` LZW compression
    `NONE` No compression
    `PACKBITS` Packbits (RLE) compression
    `ZLIB` ZLib compression

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static TIFFCompressionValue` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static TIFFCompressionValue[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NONE

          public static final TIFFCompressionValue NONE

      No compression

    - #### JPEG

          public static final TIFFCompressionValue JPEG

      JPEG compression

    - #### PACKBITS

          public static final TIFFCompressionValue PACKBITS

      Packbits (RLE) compression

    - #### DEFLATE

          public static final TIFFCompressionValue DEFLATE

      Deflate compression

    - #### LZW

          public static final TIFFCompressionValue LZW

      LZW compression

    - #### ZLIB

          public static final TIFFCompressionValue ZLIB

      ZLib compression

    - #### CCITT_T4

          public static final TIFFCompressionValue CCITT_T4

      CCITT Group 3 (T.4) compression

    - #### CCITT_T6

          public static final TIFFCompressionValue CCITT_T6

      CCITT Group 4 (T.6) compression

  - ### Method Detail

    - #### values

          public static TIFFCompressionValue[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (TIFFCompressionValue c : TIFFCompressionValue.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static TIFFCompressionValue valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

Copyright 1999-2022 The Apache Software Foundation. All Rights Reserved.